dspam_dump(1)

NAME
dspam_dump - produce a dump of a user's metadata

SYNOPSIS
dspam_dump [--profile =PROFILE] [-d
 sqlite_drv] username [token ]

DESCRIPTION

dspam_dump dumps a user's metadata dictionary to stdout. This can be used to view the entire contents of a user's dictionary, or used in combination with grep to view a subset of data. The output provides the token's stored value (in CRC64 format), the number of spam and nonspam hits, and the token's computed probability.

OPTIONS

--profile=PROFILE
    Specify a storage profile from dspam.conf. The storage profile selected will be used for all database connectivity. See dspam.conf for more information.

username
    The username of the user to dump. Only trusted users (or root) can use this program for the usernames different from the current one.

token
    The text string of the token to search for and dump. If no token is specified, all tokens will be dumped to stdout.

EXAMPLES
dspam_dump user Subject*Viagra Dumps the token Subject*Viagra, which represents the word Viagra in the Subject header, for the user specified.

EXIT VALUE

0   Operation was successful.
other
    Operation resulted in an error.

COPYRIGHT
Copyright © 2002-2012 DSPAM Project
All rights reserved.
For more information, see http://dspam.sourceforge.net.

SEE ALSO
dspam(1), dspam_admin(1), dspam_clean(1), dspam_crc(1), dspam_logrotate(1), dspam_merge(1), dspam_stats(1), dspam_train(1)